/api/v1/ticketing-teams/{id} (GET)
const url = 'https://api.endless.zaia.app/api/v1/ticketing-teams/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.endless.zaia.app/api/v1/ticketing-teams/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0Retrieves a ticketing team.
Parameters
Seção intitulada “Parameters”Path Parameters
Seção intitulada “Path Parameters”A UUID v4 string that identifies an entity.
A UUID v4 string that identifies an entity.
Query Parameters
Seção intitulada “Query Parameters”Responses
Seção intitulada “Responses”Retrieves a ticketing team.
object
A UUID v4 string that identifies an entity.
The internal description of the ticketing team.
The display name of the ticketing team.
The picture associated with the ticketing team.
The workspace ID that owns the ticketing team.
object
A UUID v4 string that identifies an entity.
The ID of the original entity in production.
A UUID v4 string that identifies an entity.
The internal description of the tool.
object
List of domains allowed in web search results.
Web search effort level.
Whether the search should always be executed or only if the agent decides to do it.
Optional OpenAI LLM provider ID to be used in this tool call.
Prompt to be appended alongside queries to instruct the LLM call.
object
The body of the HTTP request as JSON string.
The headers of the HTTP request as JSON string.
The JSON Schema definition of the parameters that will be passed to the HTTP request.
object
object
object
object
object
object
object
object
object
The query parameters of the HTTP request as JSON string.
The URL to send the HTTP request to. Should not contain query parameters.
object
The code to be executed. Must contain a function named main that takes no parameters.
The JSON Schema definition of the parameters that will be passed to the code execution tool.
object
object
object
object
object
object
object
object
object
object
The JSON Schema definition of the parameters containing the description of the memory to be stored.
object
object
object
object
object
object
object
object
object
Wheter the parameters are sensitive and should not be shown.
object
The id of the dataset to search in.
Whether the search should always be executed or only if the agent decides to do it.
The mode of the dataset search.
object
The id of the datagrid to update the row in.
object
The id of the datagrid to insert the row into.
object
The id of the datagrid to search the row in.
Whether the search should always be executed or only if the agent decides to do it.
The number of results to return to the agent.
object
The id of the datagrid to search the row in.
The number of results to return to the agent.
object
Tagging configuration for tickets.
object
The id of the ticketing team responsible for the ticket.
object
Tagging configuration for chats.
object
object
The path of the trigger to the workflow implementation to execute.
object
Instructions describing what should be scheduled and when.
object
The path of the workflow trigger to schedule.
object
The name of the PDF file.
object
object
object
object
The ID of the messaging connection to use.
The execution mode.
List of phone numbers for preset mode. Can be an empty array for discover mode.
object
The DDI of the phone number.
The phone number to send the message to including the state prefix.
The message sending mode.
object
object
object
object
object
object
object
A JSON Schema definition object
object
object
object
object
object
object
object
object
object
object
Optional LLM provider ID to be used in this tool call.
OpenAI image model to use for this tool call.
Prompt to be prepended to image generation calls.
Image generation provider to use for this tool call.
object
Optional LLM provider ID to be used in this tool call.
Gemini image model to use for this tool call.
Prompt to be prepended to image generation calls.
Image generation provider to use for this tool call.
object
An optional delay in milliseconds to be waited after the event is emitted and, if applicable, a response is received.
The name of the client-side event to listen for.
Optional mock configuration for testing purposes.
object
An optional delay in milliseconds before returning the mock response when testing.
An optional mock response to be returned when testing.
object
The JSON schema of the parameters to pass with the event.
object
object
object
object
object
object
object
object
object
An optional payload to bind parameters to.
The maximum time in milliseconds to wait for a response before timing out.
Whether to wait for a response after emitting the event.
The display name of the tool.
The workspace ID that owns the tool.
object
The id of the agent to link the tool to.
The id of the tool to link to the agent.
object
A UUID v4 string that identifies an entity.
The ID of the original entity in production.
A UUID v4 string that identifies an entity.
Whether the agent should be able to execute JavaScript code using the Code Runtime tool.
The internal name of the agent. For internal use only.
The number of iterations (steps) the agent can execute in a single execution.
The LLM model key to use for the agent.
The id of the LLM provider to use for the agent.
The name of the agent.
The picture of the agent.
Whether the agent should plan before each execution.
The main description of the agent’s behavior.
The reasoning mode to use for the agent. If null, reasoning will be disabled.
The role of the agent. Particularly useful to give other agents context of what the agent does.
The super identity ID associated with the agent.
The temperature to use for the agent. The lower the more deterministic. The higher the more creative.
The timezone to use for the agent. If null, no timezone will be used.
The number of tools currently associated with the agent.
The TTS voice to use for audio responses. Null when disabled for the agent.
The workspace ID that owns the agent.
object
A UUID v4 string that identifies an entity.
The internal description of the ticketing team.
The display name of the ticketing team.
The picture associated with the ticketing team.
The workspace ID that owns the ticketing team.
Example
{ "tools": [ { "detail": { "effort": "low", "execution": "eligible", "type": "agentic-web-search" }, "agentTools": [ { "agent": { "llm": "claude-haiku-4-5", "reasoningMode": "low", "timezone": "Africa/Cairo" } } ] } ]}Unauthorized.
The description of a known exception.
object
The error code.
The error call-to-action.
object
The error feedback.
object
The error message.
The error name.
Example
{ "cta": { "type": "support-contact" }}Ticketing team not found.
The description of a known exception.
object
The error code.
The error call-to-action.
object
The error feedback.
object
The error message.
The error name.
Example
{ "cta": { "type": "support-contact" }}